org.apache.nutch.util

## Class DumpFileUtil

- java.lang.Object
- - org.apache.nutch.util.DumpFileUtil

-     public class DumpFileUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DumpFileUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `createFileName(String md5, String fileBaseName, String fileExtension)`
    `static String` | `createFileNameFromUrl(String basePath, String reverseKey, String urlString, String epochScrapeTime, String fileExtension, boolean makeDir)`
    `static String` | `createTwoLevelsDirectory(String basePath, String md5)`
    `static String` | `createTwoLevelsDirectory(String basePath, String md5, boolean makeDir)`
    `static String` | `displayFileTypes(Map<String,Integer> typeCounts, Map<String,Integer> filteredCounts)`
    `static String` | `getUrlMD5(String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DumpFileUtil

          public DumpFileUtil()

  - ### Method Detail

    - #### getUrlMD5

          public static String getUrlMD5(String url)

    - #### createTwoLevelsDirectory

          public static String createTwoLevelsDirectory(String basePath,
                                                        String md5,
                                                        boolean makeDir)

    - #### createTwoLevelsDirectory

          public static String createTwoLevelsDirectory(String basePath,
                                                        String md5)

    - #### createFileName

          public static String createFileName(String md5,
                                              String fileBaseName,
                                              String fileExtension)

    - #### createFileNameFromUrl

          public static String createFileNameFromUrl(String basePath,
                                                     String reverseKey,
                                                     String urlString,
                                                     String epochScrapeTime,
                                                     String fileExtension,
                                                     boolean makeDir)

    - #### displayFileTypes

          public static String displayFileTypes(Map<String,Integer> typeCounts,
                                                Map<String,Integer> filteredCounts)

Copyright © 2021 The Apache Software Foundation